Subject: bug#61989: closed (Re: [bug#61989] [PATCH 00/11] Adding Gocryptfs (feature branch))

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 28 Mar 2023 20:38:02 +0000

Your bug report

#61989: [PATCH 00/11] Adding Gocryptfs (feature branch)

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
61989: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=61989
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#61989] [PATCH 00/11] Adding Gocryptfs (feature branch)
From: Leo Famulari <[email-masked]>
To: Felix Lechner <[email-masked]>
Cc: [email-masked]
Date: Tue, 28 Mar 2023 16:37:03 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

On Sun, Mar 19, 2023 at 02:31:18PM -0700, Felix Lechner wrote:
> That looks very respectable to me for such a comprehensive change, but
> I can ultimately not assess whether it's a good ratio.

Agreed, I think it looks good.

> It looks like perhaps seven items are failing due to our changes (on
> x86_64, and out of about six hundred) but I do not know how important
> they are for average Guix users.

Perhaps, but the Cuirass web interface doesn't make it easy to compare
and see which packages are failing as a result of these changes.  And
qa.guix.gnu.org doesn't yet build changes with this large of an impact.

So, I've gone ahead and pushed as
c4cca9cb5d3e93ef146acb930a95da9d2da6fb06

Subject: [PATCH 00/11] Adding Gocryptfs (feature branch)
From: Felix Lechner <[email-masked]>
To: [email-masked]
Cc: Felix Lechner <[email-masked]>
Date: Sun, 5 Mar 2023 12:52:11 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

After a discussion on #guix, someone asked me to request a feature branch
here, as well as an associated jobset for ci.guix.gnu.org.

I think we are hoping to use this patch series as a proof-of-concept for the
idea of feature branches. Thanks!

Felix Lechner (11):
  gnu: go-golang-org-x-sys: Update to 0.4.0.
  gnu: go-golang-org-x-net: Update to 0.5.0.
  gnu: Add go-github-com-hanwen-go-fuse-v2.
  gnu: Add go-github-com-aperturerobotics-jacobsa-crypto.
  gnu: Add go-github-com-jacobsa-oglematchers.
  gnu: Add go-github-com-jacobsa-oglemock.
  gnu: Add go-github-com-jacobsa-ogletest.
  gnu: Add go-github-com-jacobsa-reqtrace.
  gnu: Add go-github-com-pkg-xattr.
  gnu: Add go-github-com-rfjakob-eme.
  gnu: Add gocryptfs.

 gnu/packages/file-systems.scm |  74 +++++++++
 gnu/packages/golang.scm       | 274 +++++++++++++++++++++++++++++++---
 2 files changed, 328 insertions(+), 20 deletions(-)

base-commit: 4775460ba9a60c3c09966216da10686a70b8fadb
-- 
2.39.1